#
# spec file for package ghc-http-client
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name http-client
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.5.6.1
Release:        1.11
Summary:        An HTTP client engine
License:        MIT
Group:          Development/Languages/Other
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-base64-bytestring-devel
BuildRequires:  ghc-blaze-builder-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-case-insensitive-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-cookie-devel
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-exceptions-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-http-types-devel
BuildRequires:  ghc-mime-types-devel
BuildRequires:  ghc-network-devel
BuildRequires:  ghc-network-uri-devel
BuildRequires:  ghc-random-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-streaming-commons-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-transformers-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %{with tests}
BuildRequires:  ghc-async-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-hspec-devel
BuildRequires:  ghc-monad-control-devel
BuildRequires:  ghc-zlib-devel
%endif

%description
Hackage documentation generation is not reliable. For up to date documentation,
please see: <http://www.stackage.org/package/http-client>.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc ChangeLog.md README.md

%changelog
* Mon Feb 27 2017 psimons@suse.com
- Update to version 0.5.6.1 with cabal2obs.
* Sun Feb 12 2017 psimons@suse.com
- Update to version 0.5.5 with cabal2obs.
* Tue Nov 29 2016 psimons@suse.com
- Update to version 0.4.31.2 with cabal2obs.
* Thu Sep 15 2016 psimons@suse.com
- Update to version 0.4.31.1 revision 0 with cabal2obs.
* Sun Jul 10 2016 mimi.vx@gmail.com
- update to version 0.4.31 revision 0
  * Added length validation for RequestBodyStream
* Sun Jul  3 2016 mimi.vx@gmail.com
- update to 0.4.30
  * Deprecate parseUrl
  * Add parseUrlThrow, parseRequest, and parseRequest_
* Fri Jun 17 2016 mimi.vx@gmail.com
- update to 0.4.29
  * Changed the order of connecting a socket and tweaking a socket, such that
    the socket tweaking callback now happen before connecting.
  * add setRequestIgnoreStatus
  * Added missing Host: HTTP header for https CONNECT
  * Fix: Redirects will be followed in httpRaw' when reusing a dead connection
* Sat Apr 16 2016 mimi.vx@gmail.com
- update to 0.4.28
  * Add support for including request method in URL
  * requestManagerOverride
  * RequestBodyIO
* Tue Apr 12 2016 mimi.vx@gmail.com
- update to 0.4.27.1
  * Incorrect idle connection count in HTTP manager
* Fri Jan 22 2016 mimi.vx@gmail.com
- update to 0.4.27
  * Enable managerModifyRequest to modify checkStatus
* Thu Dec 24 2015 mimi.vx@gmail.com
- update to 0.4.26.2
  * Fix compilation for GHC 7.4
* Thu Dec 17 2015 mimi.vx@gmail.com
- update to 0.4.26.1
  * Make sure we never read from or write to closed socket
* Sun Dec 13 2015 mimi.vx@gmail.com
- update to 0.4.25
  * Don't error out when response body flushing fails
* Sun Sep 27 2015 mimi.vx@gmail.com
- update to 0.4.24
  * Use a new TlsExceptionHostPort exception to indicate the host and port of the
  server we were trying to connect to when a TLS exception occurred.
* Sun Sep 20 2015 mimi.vx@gmail.com
- update to 0.4.23
  * Case insensitive cookie domains
* Sun Sep 13 2015 mimi.vx@gmail.com
- update to 0.4.22.1
  * ProxyConnectException now returns Right HttpException.
* Mon Aug 31 2015 mimi.vx@gmail.com
- update to 0.4.21
  * Support no_proxy environment variable
* Sun Aug 23 2015 mimi.vx@gmail.com
- update to 0.4.20
  * Expose brReadSome
* Thu Aug 13 2015 mimi.vx@gmail.com
- update to 0.4.19
  * Move HasHttpManager from http-conduit to http-client
  * Chunked request bodies use less TCP packets
* Mon Jul 27 2015 mimi.vx@gmail.com
- update to 0.4.18.1
  * Case insensitive proxy environment variables
  * Deprecate closeManager
* Mon Jul 13 2015 mimi.vx@gmail.com
- update to 0.4.16
  * Proxy auth for HTTPS
* Mon Jul  6 2015 mimi.vx@gmail.com
- update to 0.4.15
  * Support proxy authentication in environment variables
  * Ignore empty http_proxy
  * Support for auth via url
* Sun Jun 21 2015 mimi.vx@gmail.com
- update to 0.4.12
  * Added IsString RequestBody instance
* Mon Jun  8 2015 mimi.vx@gmail.com
- update to 0.4.11.3
  * Fix getUri to insert "?" to uriQuery when necessary.
* Mon May  4 2015 mimi.vx@gmail.com
- update to 0.4.11.2
  + Removed publicsuffixlist dependency, see [Github discussion](https://github.com/litherum/publicsuffixlist/pull/7)
* Wed Apr 22 2015 mimi.vx@gmail.com
- initial commit
